Bug 142151 - JVMs hang on RHEL 3 Update 3 when booted in SMP kernel
JVMs hang on RHEL 3 Update 3 when booted in SMP kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: IBMJava2-SDK (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks: 156320 156322
  Show dependency treegraph
 
Reported: 2004-12-07 13:00 EST by Kelly Firkins
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-302
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kelly Firkins 2004-12-07 13:00:32 EST
Description of problem:
We're trying to deploy a Tomcat server internally for some testing of
an app. Whenever we boot to the ELsmp kernel, the JVM either hangs
(requires kill -9 ) or dies with a segmentation fault. We've tried
enabling/disabling HyperThreading and multiple JVMs, but nothing is
working decently.

JVMs: 
   IBMJava2-142
   Sun J21.4.2_06
   JRockit1.4.2_04
   older Sun JVMs

Version-Release number of selected component (if applicable):
RHEL ES 3 Update 3 with all updates as of today

How reproducible:
Every time

Steps to Reproduce:
1. Install RHEL 3 Update 3, login to RHN and update everything.
2. Boot to the new 2.4.21-20.0.1.ELsmp kernel
3. Download and install the binary (not RPM ) version of Sun's
1.4.2_06 JRE.
4. from the commandline, try 
   "./java -version"
  
Actual results:
The JVM hangs. Kill -9 to kill it off.

Expected results:
JVM would spit out version information

Additional info:
Sun's and IBM's JVMs both will hang. IBM's will print out a
"segmentation fault" error message upon killing it. JRockit is the
only JVM which appears to work in ELsmp, but it dies after several
hours with a segmentation fault itself.
Comment 2 Thomas Fitzsimmons 2004-12-07 14:28:52 EST
These are the old-style IBM Java packages.  They have been deprecated.
Can you try the latest java-1.4.2-ibm packages instead?
Comment 3 Kelly Firkins 2004-12-07 14:46:05 EST
Stupid question then as I'm more used to Fedora's yum than up2date.
The IBM JVM was downloaded from their website. 

How/where can I get the latest java-1.4.2-ibm packages? Do I use the
up2date tool or something different?
Comment 4 Thomas Fitzsimmons 2004-12-07 14:53:57 EST
They should be available through RHN in the Red Hat Enterprise Linux
AS (v. 3 for x86) Extras channel:

https://rhn.redhat.com/network/software/channels/packages.pxt?cid=1182
Comment 5 Kelly Firkins 2004-12-07 15:42:06 EST
Thank you much. I'll set up our other server using the IBM JDK. 

I'm currently having our testers hit an install of the Sun 5.0 JDK
now. Thus far, I'm impressed by its performance. We'll hammer on both
overnight. 
Comment 6 Kelly Firkins 2004-12-07 18:05:20 EST
Update:
I re-installed the server and re-updated all the packages. I then
installed the java-1.4.2-ibm from the RPMs found on the Extras
channel. The JVM still hands doing "java -version" and when you hit
CTRL-C, it returns...

JVMDG218: JVM is not fully initialized - will not do dump processing.
Segmentation fault
Comment 7 Kelly Firkins 2004-12-09 10:52:59 EST
Well, following our tests, I can reasonably conclude that with the
ELsmp kernel we cannot run these JVMs. (Only the Sun Java 5.0 JVM
would properly function under this SMP kernel)

Are there any test apps which I could run which would help identify
errors in threading or narrow down what exactly is causing this behavior?

KellyF
Comment 8 Thomas Fitzsimmons 2004-12-09 14:07:14 EST
We're getting a new JVM drop from IBM today that will hopefully go out
with RHEL3-U4.  Can you run "rpm -q java-1.4.2-ibm" and post the rpm
version number here, just so I know exactly which version's failing? 
Then I'll point you to the new packages as soon as they're ready.
Comment 9 Kelly Firkins 2004-12-09 14:18:58 EST
Thanks, I'd appreciate the pointer to the new packages as they become
available. We're starting to get down to deployment time and may have
to put a warning in release notes about running in single-processor mode.

Querying RPM it returned. 
"java-1.4.2-ibm-1.4.2.0-1jpp_8rh"
Comment 10 Thomas Fitzsimmons 2004-12-14 18:29:18 EST
java-1.4.2-ibm-1.4.2.0-1jpp_13rh may already be available on the
RHEL3-U4 beta channel.

IBM just sent me a new SDK drop; I've tested it on an x86 SMP machine
and it passes all my smoke tests.  The drop wasn't in time for
RHEL3U4, but the new packages will be released with RHEL3U5.
Comment 11 Thomas Fitzsimmons 2005-03-09 16:02:06 EST
This is fixed in a pending erratum.  Changing to MODIFIED.
Comment 14 Red Hat Bugzilla 2005-09-28 11:38:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-297.html
Comment 15 Red Hat Bugzilla 2005-10-05 09:45:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-302.html

Note You need to log in before you can comment on or make changes to this bug.